> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/enterprise-guide/jp/personal-vaults-for-enterprise-and-business-users/provision-family-plans-via-api.md).

# API経由で家族向けプランを提供

ビジネスアカウント関連の無料ファミリープラン作成API

{% hint style="info" %}
このAPIは、Keeper Security Government Cloudリージョンに導入されているKeeperパートナーおよびエンタープライズ顧客向けです。
{% endhint %}

## 概要

エンタープライズ顧客向けに、ファミリープランをプロビジョニングするAPIを用意しています。REST APIを使ってカスタムアプリケーションの構築や連携ができます。

## APIの機能

Provision Family Plans APIエンドポイントは、エンタープライズアカウントとMSPパートナーがKeeperファミリーライセンスを登録するためのものです。このエンドポイントでは、以下の製品/アドオン付きの**1年間のライセンス**を作成できます。

* Keeperファミリープラン
* BreachWatch (ダークウェブ監視)
* 10GBファイルストレージ

Keeperファミリーライセンスの全機能については、以下の[ページ](https://www.keepersecurity.com/ja_JP/family-plan.html)をご参照ください。

{% hint style="success" %}
このAPIを利用するには、サポート担当者に連絡してAPIキーを申請してください。発行されたキーは、Keeperボルト内のレコードとして共有されます。
{% endhint %}

### API定義

{% openapi src="<https://4290574019-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LO5CAzpxoaEquZJBpYz%2Fuploads%2FCaJRKzPGRnaYYZ7Fwwun%2FFamilyPlan%20v2.yaml?alt=media&token=92eac47d-26ac-416b-95e6-1b2024d6265a>" path="/create-license" method="get" %}
<https://4290574019-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LO5CAzpxoaEquZJBpYz%2Fuploads%2FCaJRKzPGRnaYYZ7Fwwun%2FFamilyPlan%20v2.yaml?alt=media&token=92eac47d-26ac-416b-95e6-1b2024d6265a>
{% endopenapi %}

### APIの追加情報

#### APIパラメータ

必須パラメータについて詳しくは、以下をご参照ください。

{% content-ref url="/pages/kUDwZIjZkM4WBFU7mk5S" %}
[APIパラメータ](/enterprise-guide/jp/api-troubleshooting/api-parameters.md)
{% endcontent-ref %}

#### APIレスポンスコード

レスポンスコードについて詳しくは、以下をご参照ください。

{% content-ref url="/pages/zjzTmfULXVa9XQpQfeiF" %}
[APIレスポンスコード](/enterprise-guide/jp/api-troubleshooting/api-response-codes.md)
{% endcontent-ref %}

#### APIエクスプローラ

Postmanや[Swaggerエディタ](https://editor.swagger.io/)などのツールでAPIを試す場合は、関連するYAML定義を以下からダウンロードしてください。

SwaggerでのAPI探索について詳しくは、以下をご参照ください。

{% content-ref url="/pages/tJ3aHoJNHqBeZ3TaRg8o" %}
[APIエクスプローラ - Swagger](/enterprise-guide/jp/api-troubleshooting/api-explorer-swagger.md)
{% endcontent-ref %}

{% hint style="info" %}
これらのAPIの利用方法について質問がある場合は、サポートまたは営業担当者にお問い合わせください。
{% endhint %}

### サンプルnode.jsスクリプト

以下のサンプルを参考に、お使いの環境での実装方法をご確認ください。

```
var request = require('request');
var CryptoJS = require('crypto-js');

var secret = 'PARTNER_SECRET';
var partner_name = 'PARTNER_NAME';
var email = 'EMAIL';
var hash = CryptoJS.SHA256(email + secret);
var transaction_id = 'TRANSACTION_ID';
var first_name = 'FIRST_NAME';
var last_name = 'LAST_NAME';

var options = {
  'method': 'GET',
  'url': 'https://keepersecurity.com/bi_api/v1/services/partner/create-license?transaction_id='+transaction_id+'&first_name='+first_name+'&last_name='+last_name+'&email='+email+'&hash='+hash+'&partner_name='+partner_name+'',
  'headers': {
      'Content-Type': 'application/json'
  }
  };

  request(options, function (error, response) {
      if (error) console.log("Error From the server: "+error);
      console.log("response body: "+response.body);
      console.log("response status: "+response.statusCode);
  });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/enterprise-guide/jp/personal-vaults-for-enterprise-and-business-users/provision-family-plans-via-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
